Bug 1743640 - Confusing dnf output when installing modular rpm without respective metadata
Summary: Confusing dnf output when installing modular rpm without respective metadata
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: dnf
Version: 8.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: rc
: 8.0
Assignee: Jaroslav Mracek
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-20 11:07 UTC by Karel Srot
Modified: 2019-10-09 07:21 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-06 13:53:39 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description Karel Srot 2019-08-20 11:07:18 UTC
Description of problem:

This is related to RFE bug 1623128 (modulemd fail-safe cache) which was not completely enabled, however the code is mostly in and just hard Errors were changed to Warnings. However, the warning itself is quite unfortunate (see output below) at least due to 2 reasons:

 a) messages are not identified as Warnings and thus are very likely to be missed
 b) dnf says for the package "it cannot be installed on the system" while it IS installed.. this confusing part should be changed/removed.

# dnf -y update
...

Running transaction
No available modular metadata for modular package 'TestC-1-1.modC.noarch', it cannot be installed on the system  <---
No available modular metadata for modular package  <---
  Preparing        :                                                        1/1 
  Upgrading        : TestC-1-1.modC.noarch                                  1/2 
  Cleanup          : TestC-0.1-1.noarch                                     2/2 
  Verifying        : TestC-1-1.modC.noarch                                  1/2 
  Verifying        : TestC-0.1-1.noarch                                     2/2 
Installed products updated.

Upgraded:
  TestC-1-1.modC.noarch                                                         

Complete!

Version-Release number of selected component (if applicable):
dnf-4.2.7-4.el8.noarch
libdnf-0.35.1-5.el8.x86_64

Comment 7 Jaroslav Mracek 2019-08-26 10:11:54 UTC
I create a commit that change two strings: https://github.com/rpm-software-management/dnf/pull/1429/commits/5b3fb077592a4c3f7cadcc1b3c3476b4448c7d3b

Comment 9 Marek Blaha 2019-08-27 08:37:05 UTC
The new strings are now uploaded to Zanata and ready for translation.

Comment 13 Jaroslav Mracek 2019-09-06 13:53:39 UTC
This bug report is not relevant anymore because the original bug https://bugzilla.redhat.com/show_bug.cgi?id=1623128 was fully resolved and the warning is not in the code.


Note You need to log in before you can comment on or make changes to this bug.